Bug 114048 - Scrolling multi-page (pages on a row) with a lot of images is slow
Summary: Scrolling multi-page (pages on a row) with a lot of images is slow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images Scrolling-PageUpDown
  Show dependency treegraph
 
Reported: 2017-11-25 17:15 UTC by Telesto
Modified: 2018-11-28 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (218.87 KB, application/vnd.oasis.opendocument.text)
2017-11-25 17:16 UTC, Telesto
Details
Bibisect log (4.66 KB, text/plain)
2017-11-25 17:18 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-11-25 17:15:45 UTC
Description:
Scrolling multi-page (pages on a row) with a lot of images is slow

Steps to Reproduce:
1. Open the attached file
2. Go to multi-page view (zoom out to get at least 3 pages on a row; sidebar isn't needed)
3. Scrolling up an down (by clicking the vertical scroll-bar an moving it up and down

Actual Results:  
Laggy

Expected Results:
Fast like 4.3.0.3


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.0.0.0.alpha1+
Build ID: c24c32bf71b8e64bd0d36e511f554e1f6c015842
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-11-22_23:15:41
Locale: nl-NL (nl_NL); Calc: group threaded

and in 5.2


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2017-11-25 17:16:13 UTC
Created attachment 137984 [details]
Example file
Comment 2 Telesto 2017-11-25 17:18:09 UTC
Created attachment 137985 [details]
Bibisect log

Bisected to:
commit 4e9d8ca44a246653894559f10bf88effba366b10
Author:     Matúš Kukan <matus.kukan@collabora.com>
AuthorDate: Tue Jul 15 21:54:58 2014 +0200
Commit:     Matúš Kukan <matus.kukan@collabora.com>
CommitDate: Tue Jul 15 21:59:17 2014 +0200

libreofficekit does not work with libmerged
Comment 3 Thomas Woltjer 2017-11-25 17:58:45 UTC
I can confirm this bug, it happens for me too. It looks like it could be an issue with rendering the images, because it only lags when scrolling to parts of the document that haven't yet been viewed. 

While scrolling, it seems that libreoffice is using up approx. 50% of the processing power on a core, more than the usual amount. It isn't hitting max. frequency at all, so I don't think putting too much work into one thread is the issue.

System info:

Version: 5.4.1.2 (x64)
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Windows 6.19; UI render: GL; 
Locale: en-US (en_US); Calc: group
Comment 4 Telesto 2017-11-26 10:53:02 UTC
(In reply to Thomas Woltjer from comment #3)
> I can confirm this bug, it happens for me too. It looks like it could be an
> issue with rendering the images, because it only lags when scrolling to
> parts of the document that haven't yet been viewed. 
> 
Hmm.. I wasn't to specific; sorry. This wasn't exactly about the initial lag (I 0accepted it as a fact), but the lag even after all image are viewed..

Most noticeable when moving the vertical scroll-bar from top to bottom at once or when fast scrolling (after all images are viewed at the first place)
Comment 6 Telesto 2017-11-27 12:05:21 UTC
@Thomas
* For the initial scrolling lag, probably. 
* For the lag after all images are loaded. The lag started after enabling tiled rendering. (https://www.ahunt.org/2014/05/tiled-rendering-with-libreofficekit/. it's introduced in 4.3. But it's probably related to the 4.2 changes..
Comment 7 QA Administrators 2018-11-28 03:47:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug